Imported Upstream version 1.0.10
[platform/upstream/fribidi.git] / test / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = @build@
89 host_triplet = @host@
90 subdir = test
91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
93         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
94         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
95         $(top_srcdir)/m4/m4_ax_prog_cc_for_build.m4 \
96         $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
100 mkinstalldirs = $(install_sh) -d
101 CONFIG_HEADER = $(top_builddir)/config.h
102 CONFIG_CLEAN_FILES =
103 CONFIG_CLEAN_VPATH_FILES =
104 AM_V_P = $(am__v_P_@AM_V@)
105 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
106 am__v_P_0 = false
107 am__v_P_1 = :
108 AM_V_GEN = $(am__v_GEN_@AM_V@)
109 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
110 am__v_GEN_0 = @echo "  GEN     " $@;
111 am__v_GEN_1 = 
112 AM_V_at = $(am__v_at_@AM_V@)
113 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
114 am__v_at_0 = @
115 am__v_at_1 = 
116 SOURCES =
117 DIST_SOURCES =
118 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
119         ctags-recursive dvi-recursive html-recursive info-recursive \
120         install-data-recursive install-dvi-recursive \
121         install-exec-recursive install-html-recursive \
122         install-info-recursive install-pdf-recursive \
123         install-ps-recursive install-recursive installcheck-recursive \
124         installdirs-recursive pdf-recursive ps-recursive \
125         tags-recursive uninstall-recursive
126 am__can_run_installinfo = \
127   case $$AM_UPDATE_INFO_DIR in \
128     n|no|NO) false;; \
129     *) (install-info --version) >/dev/null 2>&1;; \
130   esac
131 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
132   distclean-recursive maintainer-clean-recursive
133 am__recursive_targets = \
134   $(RECURSIVE_TARGETS) \
135   $(RECURSIVE_CLEAN_TARGETS) \
136   $(am__extra_recursive_targets)
137 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
138         check recheck distdir distdir-am
139 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
140 # Read a list of newline-separated strings from the standard input,
141 # and print each of them once, without duplicates.  Input order is
142 # *not* preserved.
143 am__uniquify_input = $(AWK) '\
144   BEGIN { nonempty = 0; } \
145   { items[$$0] = 1; nonempty = 1; } \
146   END { if (nonempty) { for (i in items) print i; }; } \
147 '
148 # Make sure the list of sources is unique.  This is necessary because,
149 # e.g., the same source file might be shared among _SOURCES variables
150 # for different programs/libraries.
151 am__define_uniq_tagged_files = \
152   list='$(am__tagged_files)'; \
153   unique=`for i in $$list; do \
154     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
155   done | $(am__uniquify_input)`
156 ETAGS = etags
157 CTAGS = ctags
158 am__tty_colors_dummy = \
159   mgn= red= grn= lgn= blu= brg= std=; \
160   am__color_tests=no
161 am__tty_colors = { \
162   $(am__tty_colors_dummy); \
163   if test "X$(AM_COLOR_TESTS)" = Xno; then \
164     am__color_tests=no; \
165   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
166     am__color_tests=yes; \
167   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
168     am__color_tests=yes; \
169   fi; \
170   if test $$am__color_tests = yes; then \
171     red='\e[0;31m'; \
172     grn='\e[0;32m'; \
173     lgn='\e[1;32m'; \
174     blu='\e[1;34m'; \
175     mgn='\e[0;35m'; \
176     brg='\e[1m'; \
177     std='\e[m'; \
178   fi; \
179 }
180 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
181 am__vpath_adj = case $$p in \
182     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
183     *) f=$$p;; \
184   esac;
185 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
186 am__install_max = 40
187 am__nobase_strip_setup = \
188   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
189 am__nobase_strip = \
190   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
191 am__nobase_list = $(am__nobase_strip_setup); \
192   for p in $$list; do echo "$$p $$p"; done | \
193   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
194   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
195     if (++n[$$2] == $(am__install_max)) \
196       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
197     END { for (dir in files) print dir, files[dir] }'
198 am__base_list = \
199   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
200   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
201 am__uninstall_files_from_dir = { \
202   test -z "$$files" \
203     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
204     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
205          $(am__cd) "$$dir" && rm -f $$files; }; \
206   }
207 am__recheck_rx = ^[     ]*:recheck:[    ]*
208 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
209 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
210 # A command that, given a newline-separated list of test names on the
211 # standard input, print the name of the tests that are to be re-run
212 # upon "make recheck".
213 am__list_recheck_tests = $(AWK) '{ \
214   recheck = 1; \
215   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
216     { \
217       if (rc < 0) \
218         { \
219           if ((getline line2 < ($$0 ".log")) < 0) \
220             recheck = 0; \
221           break; \
222         } \
223       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
224         { \
225           recheck = 0; \
226           break; \
227         } \
228       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
229         { \
230           break; \
231         } \
232     }; \
233   if (recheck) \
234     print $$0; \
235   close ($$0 ".trs"); \
236   close ($$0 ".log"); \
237 }'
238 # A command that, given a newline-separated list of test names on the
239 # standard input, create the global log from their .trs and .log files.
240 am__create_global_log = $(AWK) ' \
241 function fatal(msg) \
242 { \
243   print "fatal: making $@: " msg | "cat >&2"; \
244   exit 1; \
245 } \
246 function rst_section(header) \
247 { \
248   print header; \
249   len = length(header); \
250   for (i = 1; i <= len; i = i + 1) \
251     printf "="; \
252   printf "\n\n"; \
253 } \
254 { \
255   copy_in_global_log = 1; \
256   global_test_result = "RUN"; \
257   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
258     { \
259       if (rc < 0) \
260          fatal("failed to read from " $$0 ".trs"); \
261       if (line ~ /$(am__global_test_result_rx)/) \
262         { \
263           sub("$(am__global_test_result_rx)", "", line); \
264           sub("[        ]*$$", "", line); \
265           global_test_result = line; \
266         } \
267       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
268         copy_in_global_log = 0; \
269     }; \
270   if (copy_in_global_log) \
271     { \
272       rst_section(global_test_result ": " $$0); \
273       while ((rc = (getline line < ($$0 ".log"))) != 0) \
274       { \
275         if (rc < 0) \
276           fatal("failed to read from " $$0 ".log"); \
277         print line; \
278       }; \
279       printf "\n"; \
280     }; \
281   close ($$0 ".trs"); \
282   close ($$0 ".log"); \
283 }'
284 # Restructured Text title.
285 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
286 # Solaris 10 'make', and several other traditional 'make' implementations,
287 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
288 # by disabling -e (using the XSI extension "set +e") if it's set.
289 am__sh_e_setup = case $$- in *e*) set +e;; esac
290 # Default flags passed to test drivers.
291 am__common_driver_flags = \
292   --color-tests "$$am__color_tests" \
293   --enable-hard-errors "$$am__enable_hard_errors" \
294   --expect-failure "$$am__expect_failure"
295 # To be inserted before the command running the test.  Creates the
296 # directory for the log if needed.  Stores in $dir the directory
297 # containing $f, in $tst the test, in $log the log.  Executes the
298 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
299 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
300 # will run the test scripts (or their associated LOG_COMPILER, if
301 # thy have one).
302 am__check_pre = \
303 $(am__sh_e_setup);                                      \
304 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
305 $(am__tty_colors);                                      \
306 srcdir=$(srcdir); export srcdir;                        \
307 case "$@" in                                            \
308   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
309     *) am__odir=.;;                                     \
310 esac;                                                   \
311 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
312   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
313 if test -f "./$$f"; then dir=./;                        \
314 elif test -f "$$f"; then dir=;                          \
315 else dir="$(srcdir)/"; fi;                              \
316 tst=$$dir$$f; log='$@';                                 \
317 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
318   am__enable_hard_errors=no;                            \
319 else                                                    \
320   am__enable_hard_errors=yes;                           \
321 fi;                                                     \
322 case " $(XFAIL_TESTS) " in                              \
323   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
324     am__expect_failure=yes;;                            \
325   *)                                                    \
326     am__expect_failure=no;;                             \
327 esac;                                                   \
328 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
329 # A shell command to get the names of the tests scripts with any registered
330 # extension removed (i.e., equivalently, the names of the test logs, with
331 # the '.log' extension removed).  The result is saved in the shell variable
332 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
333 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
334 # since that might cause problem with VPATH rewrites for suffix-less tests.
335 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
336 am__set_TESTS_bases = \
337   bases='$(TEST_LOGS)'; \
338   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
339   bases=`echo $$bases`
340 RECHECK_LOGS = $(TEST_LOGS)
341 TEST_SUITE_LOG = test-suite.log
342 TEST_EXTENSIONS = @EXEEXT@ .test
343 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
344 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
345 am__set_b = \
346   case '$@' in \
347     */*) \
348       case '$*' in \
349         */*) b='$*';; \
350           *) b=`echo '$@' | sed 's/\.log$$//'`; \
351        esac;; \
352     *) \
353       b='$*';; \
354   esac
355 am__test_logs1 = $(TESTS:=.log)
356 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
357 TEST_LOGS = $(am__test_logs2:.test.log=.log)
358 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
359 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
360         $(TEST_LOG_FLAGS)
361 DIST_SUBDIRS = $(SUBDIRS)
362 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
363 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
364 am__relativize = \
365   dir0=`pwd`; \
366   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
367   sed_rest='s,^[^/]*/*,,'; \
368   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
369   sed_butlast='s,/*[^/]*$$,,'; \
370   while test -n "$$dir1"; do \
371     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
372     if test "$$first" != "."; then \
373       if test "$$first" = ".."; then \
374         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
375         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
376       else \
377         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
378         if test "$$first2" = "$$first"; then \
379           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
380         else \
381           dir2="../$$dir2"; \
382         fi; \
383         dir0="$$dir0"/"$$first"; \
384       fi; \
385     fi; \
386     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
387   done; \
388   reldir="$$dir2"
389 ACLOCAL = @ACLOCAL@
390 AMTAR = @AMTAR@
391 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
392 AR = @AR@
393 AUTOCONF = @AUTOCONF@
394 AUTOHEADER = @AUTOHEADER@
395 AUTOMAKE = @AUTOMAKE@
396 AWK = @AWK@
397 BUILD_EXEEXT = @BUILD_EXEEXT@
398 BUILD_OBJEXT = @BUILD_OBJEXT@
399 CC = @CC@
400 CCDEPMODE = @CCDEPMODE@
401 CC_FOR_BUILD = @CC_FOR_BUILD@
402 CFLAGS = @CFLAGS@
403 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
404 CPP = @CPP@
405 CPPFLAGS = @CPPFLAGS@
406 CPPFLAGS_FOR_BUILD = @CPPFLAGS_FOR_BUILD@
407 CPP_FOR_BUILD = @CPP_FOR_BUILD@
408 CYGPATH_W = @CYGPATH_W@
409 DEFS = @DEFS@
410 DEPDIR = @DEPDIR@
411 DLLTOOL = @DLLTOOL@
412 DSYMUTIL = @DSYMUTIL@
413 DUMPBIN = @DUMPBIN@
414 ECHO_C = @ECHO_C@
415 ECHO_N = @ECHO_N@
416 ECHO_T = @ECHO_T@
417 EGREP = @EGREP@
418 EXEEXT = @EXEEXT@
419 FGREP = @FGREP@
420 FRIBIDI_BINARY_AGE = @FRIBIDI_BINARY_AGE@
421 FRIBIDI_CPPFLAGS = @FRIBIDI_CPPFLAGS@
422 FRIBIDI_INTERFACE_AGE = @FRIBIDI_INTERFACE_AGE@
423 FRIBIDI_INTERFACE_VERSION = @FRIBIDI_INTERFACE_VERSION@
424 FRIBIDI_MAJOR_VERSION = @FRIBIDI_MAJOR_VERSION@
425 FRIBIDI_MICRO_VERSION = @FRIBIDI_MICRO_VERSION@
426 FRIBIDI_MINOR_VERSION = @FRIBIDI_MINOR_VERSION@
427 FRIBIDI_MSVC_BUILD_PLACEHOLDER = @FRIBIDI_MSVC_BUILD_PLACEHOLDER@
428 FRIBIDI_VERSION = @FRIBIDI_VERSION@
429 GREP = @GREP@
430 INSTALL = @INSTALL@
431 INSTALL_DATA = @INSTALL_DATA@
432 INSTALL_PROGRAM = @INSTALL_PROGRAM@
433 INSTALL_SCRIPT = @INSTALL_SCRIPT@
434 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
435 LD = @LD@
436 LDFLAGS = @LDFLAGS@
437 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
438 LIBOBJS = @LIBOBJS@
439 LIBS = @LIBS@
440 LIBTOOL = @LIBTOOL@
441 LIPO = @LIPO@
442 LN_S = @LN_S@
443 LTLIBOBJS = @LTLIBOBJS@
444 LT_CURRENT_MINUS_AGE = @LT_CURRENT_MINUS_AGE@
445 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
446 LT_VERSION_INFO = @LT_VERSION_INFO@
447 MAKEINFO = @MAKEINFO@
448 MANIFEST_TOOL = @MANIFEST_TOOL@
449 MKDIR_P = @MKDIR_P@
450 NM = @NM@
451 NMEDIT = @NMEDIT@
452 OBJDUMP = @OBJDUMP@
453 OBJEXT = @OBJEXT@
454 OTOOL = @OTOOL@
455 OTOOL64 = @OTOOL64@
456 PACKAGE = @PACKAGE@
457 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
458 PACKAGE_NAME = @PACKAGE_NAME@
459 PACKAGE_STRING = @PACKAGE_STRING@
460 PACKAGE_TARNAME = @PACKAGE_TARNAME@
461 PACKAGE_URL = @PACKAGE_URL@
462 PACKAGE_VERSION = @PACKAGE_VERSION@
463 PATH_SEPARATOR = @PATH_SEPARATOR@
464 PKG_CONFIG = @PKG_CONFIG@
465 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
466 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
467 RANLIB = @RANLIB@
468 SED = @SED@
469 SET_MAKE = @SET_MAKE@
470 SHELL = @SHELL@
471 SIZEOF_INT = @SIZEOF_INT@
472 STRIP = @STRIP@
473 VERSION = @VERSION@
474 abs_builddir = @abs_builddir@
475 abs_srcdir = @abs_srcdir@
476 abs_top_builddir = @abs_top_builddir@
477 abs_top_srcdir = @abs_top_srcdir@
478 ac_ct_AR = @ac_ct_AR@
479 ac_ct_CC = @ac_ct_CC@
480 ac_ct_CC_FOR_BUILD = @ac_ct_CC_FOR_BUILD@
481 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
482 am__include = @am__include@
483 am__leading_dot = @am__leading_dot@
484 am__quote = @am__quote@
485 am__tar = @am__tar@
486 am__untar = @am__untar@
487 bindir = @bindir@
488 build = @build@
489 build_alias = @build_alias@
490 build_cpu = @build_cpu@
491 build_os = @build_os@
492 build_vendor = @build_vendor@
493 builddir = @builddir@
494 datadir = @datadir@
495 datarootdir = @datarootdir@
496 docdir = @docdir@
497 dvidir = @dvidir@
498 exec_prefix = @exec_prefix@
499 host = @host@
500 host_alias = @host_alias@
501 host_cpu = @host_cpu@
502 host_os = @host_os@
503 host_vendor = @host_vendor@
504 htmldir = @htmldir@
505 includedir = @includedir@
506 infodir = @infodir@
507 install_sh = @install_sh@
508 libdir = @libdir@
509 libexecdir = @libexecdir@
510 localedir = @localedir@
511 localstatedir = @localstatedir@
512 mandir = @mandir@
513 mkdir_p = @mkdir_p@
514 oldincludedir = @oldincludedir@
515 pdfdir = @pdfdir@
516 prefix = @prefix@
517 program_transform_name = @program_transform_name@
518 psdir = @psdir@
519 sbindir = @sbindir@
520 sharedstatedir = @sharedstatedir@
521 srcdir = @srcdir@
522 sysconfdir = @sysconfdir@
523 target_alias = @target_alias@
524 top_build_prefix = @top_build_prefix@
525 top_builddir = @top_builddir@
526 top_srcdir = @top_srcdir@
527 SUBDIRS = unicode-conformance
528 TESTS_ENVIRONMENT = \
529         srcdir=${srcdir}; export srcdir; \
530         top_builddir=${top_builddir}; export top_builddir; \
531         EXEEXT=${EXEEXT}; export EXEEXT;
532
533 AM_TESTS_ENVIRONMENT = $(TESTS_ENVIRONMENT)
534 TESTS = run.tests
535 check_SCRIPTS = run.tests
536 TEST_DATAS = \
537         test_CapRTL_explicit.input \
538         test_CapRTL_explicit.reference \
539         test_CapRTL_implicit.input \
540         test_CapRTL_implicit.reference \
541         test_CapRTL_isolate.input \
542         test_CapRTL_isolate.reference \
543         test_ISO8859-8_hebrew.input \
544         test_ISO8859-8_hebrew.reference \
545         test_UTF-8_persian.input \
546         test_UTF-8_persian.reference \
547         test_UTF-8_reordernsm.input \
548         test_UTF-8_reordernsm.reference
549
550 EXTRA_DIST = \
551         $(TESTS) \
552         $(TEST_DATAS)
553
554 all: all-recursive
555
556 .SUFFIXES:
557 .SUFFIXES: .input .log .reference .test .test$(EXEEXT) .trs
558 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
559         @for dep in $?; do \
560           case '$(am__configure_deps)' in \
561             *$$dep*) \
562               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
563                 && { if test -f $@; then exit 0; else break; fi; }; \
564               exit 1;; \
565           esac; \
566         done; \
567         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/Makefile'; \
568         $(am__cd) $(top_srcdir) && \
569           $(AUTOMAKE) --gnits test/Makefile
570 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
571         @case '$?' in \
572           *config.status*) \
573             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
574           *) \
575             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
576             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
577         esac;
578
579 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
580         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
581
582 $(top_srcdir)/configure:  $(am__configure_deps)
583         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
584 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
585         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
586 $(am__aclocal_m4_deps):
587
588 mostlyclean-libtool:
589         -rm -f *.lo
590
591 clean-libtool:
592         -rm -rf .libs _libs
593
594 # This directory's subdirectories are mostly independent; you can cd
595 # into them and run 'make' without going through this Makefile.
596 # To change the values of 'make' variables: instead of editing Makefiles,
597 # (1) if the variable is set in 'config.status', edit 'config.status'
598 #     (which will cause the Makefiles to be regenerated when you run 'make');
599 # (2) otherwise, pass the desired values on the 'make' command line.
600 $(am__recursive_targets):
601         @fail=; \
602         if $(am__make_keepgoing); then \
603           failcom='fail=yes'; \
604         else \
605           failcom='exit 1'; \
606         fi; \
607         dot_seen=no; \
608         target=`echo $@ | sed s/-recursive//`; \
609         case "$@" in \
610           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
611           *) list='$(SUBDIRS)' ;; \
612         esac; \
613         for subdir in $$list; do \
614           echo "Making $$target in $$subdir"; \
615           if test "$$subdir" = "."; then \
616             dot_seen=yes; \
617             local_target="$$target-am"; \
618           else \
619             local_target="$$target"; \
620           fi; \
621           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
622           || eval $$failcom; \
623         done; \
624         if test "$$dot_seen" = "no"; then \
625           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
626         fi; test -z "$$fail"
627
628 ID: $(am__tagged_files)
629         $(am__define_uniq_tagged_files); mkid -fID $$unique
630 tags: tags-recursive
631 TAGS: tags
632
633 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
634         set x; \
635         here=`pwd`; \
636         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
637           include_option=--etags-include; \
638           empty_fix=.; \
639         else \
640           include_option=--include; \
641           empty_fix=; \
642         fi; \
643         list='$(SUBDIRS)'; for subdir in $$list; do \
644           if test "$$subdir" = .; then :; else \
645             test ! -f $$subdir/TAGS || \
646               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
647           fi; \
648         done; \
649         $(am__define_uniq_tagged_files); \
650         shift; \
651         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
652           test -n "$$unique" || unique=$$empty_fix; \
653           if test $$# -gt 0; then \
654             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
655               "$$@" $$unique; \
656           else \
657             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
658               $$unique; \
659           fi; \
660         fi
661 ctags: ctags-recursive
662
663 CTAGS: ctags
664 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
665         $(am__define_uniq_tagged_files); \
666         test -z "$(CTAGS_ARGS)$$unique" \
667           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
668              $$unique
669
670 GTAGS:
671         here=`$(am__cd) $(top_builddir) && pwd` \
672           && $(am__cd) $(top_srcdir) \
673           && gtags -i $(GTAGS_ARGS) "$$here"
674 cscopelist: cscopelist-recursive
675
676 cscopelist-am: $(am__tagged_files)
677         list='$(am__tagged_files)'; \
678         case "$(srcdir)" in \
679           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
680           *) sdir=$(subdir)/$(srcdir) ;; \
681         esac; \
682         for i in $$list; do \
683           if test -f "$$i"; then \
684             echo "$(subdir)/$$i"; \
685           else \
686             echo "$$sdir/$$i"; \
687           fi; \
688         done >> $(top_builddir)/cscope.files
689
690 distclean-tags:
691         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
692
693 # Recover from deleted '.trs' file; this should ensure that
694 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
695 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
696 # to avoid problems with "make -n".
697 .log.trs:
698         rm -f $< $@
699         $(MAKE) $(AM_MAKEFLAGS) $<
700
701 # Leading 'am--fnord' is there to ensure the list of targets does not
702 # expand to empty, as could happen e.g. with make check TESTS=''.
703 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
704 am--force-recheck:
705         @:
706
707 $(TEST_SUITE_LOG): $(TEST_LOGS)
708         @$(am__set_TESTS_bases); \
709         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
710         redo_bases=`for i in $$bases; do \
711                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
712                     done`; \
713         if test -n "$$redo_bases"; then \
714           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
715           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
716           if $(am__make_dryrun); then :; else \
717             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
718           fi; \
719         fi; \
720         if test -n "$$am__remaking_logs"; then \
721           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
722                "recursion detected" >&2; \
723         elif test -n "$$redo_logs"; then \
724           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
725         fi; \
726         if $(am__make_dryrun); then :; else \
727           st=0;  \
728           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
729           for i in $$redo_bases; do \
730             test -f $$i.trs && test -r $$i.trs \
731               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
732             test -f $$i.log && test -r $$i.log \
733               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
734           done; \
735           test $$st -eq 0 || exit 1; \
736         fi
737         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
738         ws='[   ]'; \
739         results=`for b in $$bases; do echo $$b.trs; done`; \
740         test -n "$$results" || results=/dev/null; \
741         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
742         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
743         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
744         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
745         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
746         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
747         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
748         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
749           success=true; \
750         else \
751           success=false; \
752         fi; \
753         br='==================='; br=$$br$$br$$br$$br; \
754         result_count () \
755         { \
756             if test x"$$1" = x"--maybe-color"; then \
757               maybe_colorize=yes; \
758             elif test x"$$1" = x"--no-color"; then \
759               maybe_colorize=no; \
760             else \
761               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
762             fi; \
763             shift; \
764             desc=$$1 count=$$2; \
765             if test $$maybe_colorize = yes && test $$count -gt 0; then \
766               color_start=$$3 color_end=$$std; \
767             else \
768               color_start= color_end=; \
769             fi; \
770             echo "$${color_start}# $$desc $$count$${color_end}"; \
771         }; \
772         create_testsuite_report () \
773         { \
774           result_count $$1 "TOTAL:" $$all   "$$brg"; \
775           result_count $$1 "PASS: " $$pass  "$$grn"; \
776           result_count $$1 "SKIP: " $$skip  "$$blu"; \
777           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
778           result_count $$1 "FAIL: " $$fail  "$$red"; \
779           result_count $$1 "XPASS:" $$xpass "$$red"; \
780           result_count $$1 "ERROR:" $$error "$$mgn"; \
781         }; \
782         {                                                               \
783           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
784             $(am__rst_title);                                           \
785           create_testsuite_report --no-color;                           \
786           echo;                                                         \
787           echo ".. contents:: :depth: 2";                               \
788           echo;                                                         \
789           for b in $$bases; do echo $$b; done                           \
790             | $(am__create_global_log);                                 \
791         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
792         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
793         if $$success; then                                              \
794           col="$$grn";                                                  \
795          else                                                           \
796           col="$$red";                                                  \
797           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
798         fi;                                                             \
799         echo "$${col}$$br$${std}";                                      \
800         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
801         echo "$${col}$$br$${std}";                                      \
802         create_testsuite_report --maybe-color;                          \
803         echo "$$col$$br$$std";                                          \
804         if $$success; then :; else                                      \
805           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
806           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
807             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
808           fi;                                                           \
809           echo "$$col$$br$$std";                                        \
810         fi;                                                             \
811         $$success || exit 1
812
813 check-TESTS: $(check_SCRIPTS)
814         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
815         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
816         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
817         @set +e; $(am__set_TESTS_bases); \
818         log_list=`for i in $$bases; do echo $$i.log; done`; \
819         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
820         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
821         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
822         exit $$?;
823 recheck: all $(check_SCRIPTS)
824         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
825         @set +e; $(am__set_TESTS_bases); \
826         bases=`for i in $$bases; do echo $$i; done \
827                  | $(am__list_recheck_tests)` || exit 1; \
828         log_list=`for i in $$bases; do echo $$i.log; done`; \
829         log_list=`echo $$log_list`; \
830         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
831                 am__force_recheck=am--force-recheck \
832                 TEST_LOGS="$$log_list"; \
833         exit $$?
834 run.tests.log: run.tests
835         @p='run.tests'; \
836         b='run.tests'; \
837         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
838         --log-file $$b.log --trs-file $$b.trs \
839         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
840         "$$tst" $(AM_TESTS_FD_REDIRECT)
841 .test.log:
842         @p='$<'; \
843         $(am__set_b); \
844         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
845         --log-file $$b.log --trs-file $$b.trs \
846         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
847         "$$tst" $(AM_TESTS_FD_REDIRECT)
848 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
849 @am__EXEEXT_TRUE@       @p='$<'; \
850 @am__EXEEXT_TRUE@       $(am__set_b); \
851 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
852 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
853 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
854 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
855
856 distdir: $(BUILT_SOURCES)
857         $(MAKE) $(AM_MAKEFLAGS) distdir-am
858
859 distdir-am: $(DISTFILES)
860         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
861         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
862         list='$(DISTFILES)'; \
863           dist_files=`for file in $$list; do echo $$file; done | \
864           sed -e "s|^$$srcdirstrip/||;t" \
865               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
866         case $$dist_files in \
867           */*) $(MKDIR_P) `echo "$$dist_files" | \
868                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
869                            sort -u` ;; \
870         esac; \
871         for file in $$dist_files; do \
872           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
873           if test -d $$d/$$file; then \
874             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
875             if test -d "$(distdir)/$$file"; then \
876               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
877             fi; \
878             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
879               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
880               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
881             fi; \
882             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
883           else \
884             test -f "$(distdir)/$$file" \
885             || cp -p $$d/$$file "$(distdir)/$$file" \
886             || exit 1; \
887           fi; \
888         done
889         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
890           if test "$$subdir" = .; then :; else \
891             $(am__make_dryrun) \
892               || test -d "$(distdir)/$$subdir" \
893               || $(MKDIR_P) "$(distdir)/$$subdir" \
894               || exit 1; \
895             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
896             $(am__relativize); \
897             new_distdir=$$reldir; \
898             dir1=$$subdir; dir2="$(top_distdir)"; \
899             $(am__relativize); \
900             new_top_distdir=$$reldir; \
901             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
902             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
903             ($(am__cd) $$subdir && \
904               $(MAKE) $(AM_MAKEFLAGS) \
905                 top_distdir="$$new_top_distdir" \
906                 distdir="$$new_distdir" \
907                 am__remove_distdir=: \
908                 am__skip_length_check=: \
909                 am__skip_mode_fix=: \
910                 distdir) \
911               || exit 1; \
912           fi; \
913         done
914 check-am: all-am
915         $(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
916         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
917 check: check-recursive
918 all-am: Makefile
919 installdirs: installdirs-recursive
920 installdirs-am:
921 install: install-recursive
922 install-exec: install-exec-recursive
923 install-data: install-data-recursive
924 uninstall: uninstall-recursive
925
926 install-am: all-am
927         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
928
929 installcheck: installcheck-recursive
930 install-strip:
931         if test -z '$(STRIP)'; then \
932           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
933             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
934               install; \
935         else \
936           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
937             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
938             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
939         fi
940 mostlyclean-generic:
941         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
942         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
943         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
944
945 clean-generic:
946
947 distclean-generic:
948         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
949         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
950
951 maintainer-clean-generic:
952         @echo "This command is intended for maintainers to use"
953         @echo "it deletes files that may require special tools to rebuild."
954 clean: clean-recursive
955
956 clean-am: clean-generic clean-libtool mostlyclean-am
957
958 distclean: distclean-recursive
959         -rm -f Makefile
960 distclean-am: clean-am distclean-generic distclean-tags
961
962 dvi: dvi-recursive
963
964 dvi-am:
965
966 html: html-recursive
967
968 html-am:
969
970 info: info-recursive
971
972 info-am:
973
974 install-data-am:
975
976 install-dvi: install-dvi-recursive
977
978 install-dvi-am:
979
980 install-exec-am:
981
982 install-html: install-html-recursive
983
984 install-html-am:
985
986 install-info: install-info-recursive
987
988 install-info-am:
989
990 install-man:
991
992 install-pdf: install-pdf-recursive
993
994 install-pdf-am:
995
996 install-ps: install-ps-recursive
997
998 install-ps-am:
999
1000 installcheck-am:
1001
1002 maintainer-clean: maintainer-clean-recursive
1003         -rm -f Makefile
1004 maintainer-clean-am: distclean-am maintainer-clean-generic
1005
1006 mostlyclean: mostlyclean-recursive
1007
1008 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1009
1010 pdf: pdf-recursive
1011
1012 pdf-am:
1013
1014 ps: ps-recursive
1015
1016 ps-am:
1017
1018 uninstall-am:
1019
1020 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1021
1022 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1023         check-TESTS check-am clean clean-generic clean-libtool \
1024         cscopelist-am ctags ctags-am distclean distclean-generic \
1025         distclean-libtool distclean-tags distdir dvi dvi-am html \
1026         html-am info info-am install install-am install-data \
1027         install-data-am install-dvi install-dvi-am install-exec \
1028         install-exec-am install-html install-html-am install-info \
1029         install-info-am install-man install-pdf install-pdf-am \
1030         install-ps install-ps-am install-strip installcheck \
1031         installcheck-am installdirs installdirs-am maintainer-clean \
1032         maintainer-clean-generic mostlyclean mostlyclean-generic \
1033         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1034         uninstall uninstall-am
1035
1036 .PRECIOUS: Makefile
1037
1038
1039 SUFFIXES: .reference .input
1040
1041 .reference.input:
1042         testcase="$@" && \
1043         charset="`echo "$@" | sed 's/_[^_]*$$//;s/.*_//'`" && \
1044         $(top_builddir)/bin/fribidi --test --charset "$$charset" "$<" > "$@" \
1045         || ($(RM) "$@"; false)
1046
1047 references:
1048         for testcase in "$(srcdir)"/test_*.input; do \
1049                 test="`echo $$testcase \
1050                   | sed 's/\.input$$/.reference/i; s|.*/||;'`" && \
1051                 $(MAKE) $(AM_MAKEFLAGS) "$(srcdir)/$$test" || \
1052                 exit 1; \
1053         done
1054
1055 -include $(top_srcdir)/git.mk
1056
1057 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1058 # Otherwise a system limit (for SysV at least) may be exceeded.
1059 .NOEXPORT: